Page MenuHomeFreeBSD

Patch qca to build with libressl
ClosedPublic

Authored by alonso on Jun 1 2016, 11:03 PM.

Details

Reviewers
brnrd
Summary

qca is not building with libressl. This is unrelated to the recent 2.3.5 update but broke about 2 months before when SSL3 and SHA-0 were removed from libressl.
The patch applies the workarounds described in https://wiki.freebsd.org/LibreSSL/PatchingPorts to make qca buildable again.

Test Plan

Apply the patch using svn patch on the top level of the ports repository and build qca against libressl ( https://wiki.freebsd.org/LibreSSL#Using_LibreSSL_with_ports )

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

alonso updated this revision to Diff 17207.Jun 1 2016, 11:03 PM
alonso retitled this revision from to Patch qca to build with libressl.
alonso updated this object.
alonso edited the test plan for this revision. (Show Details)
alonso added reviewers: makc, rakuco.
alonso set the repository for this revision to rP FreeBSD ports repository.
alonso added a subscriber: kde.

Eventually, PR 199134 can be considered related.

alonso added a project: kde.Jun 2 2016, 6:12 AM
brnrd accepted this revision.Jul 3 2016, 12:15 PM
brnrd removed reviewers: rakuco, makc.
brnrd added a reviewer: brnrd.
brnrd added a subscriber: brnrd.

Closed by rP417968

This revision is now accepted and ready to land.Jul 3 2016, 12:15 PM
brnrd closed this revision.Jul 3 2016, 12:15 PM

Closed by rP417968